Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.planner.benchmark
Enum SolverBenchmarkSuite.SolverStatisticType

    java.lang.Object
      java.lang.Enum<SolverBenchmarkSuite.SolverStatisticType>
          org.drools.planner.benchmark.SolverBenchmarkSuite.SolverStatisticType

All Implemented Interfaces:
  Serializable, Comparable<SolverBenchmarkSuite.SolverStatisticType>

Enclosing class:
  SolverBenchmarkSuite

    public static enum SolverBenchmarkSuite.SolverStatisticType

extends Enum<SolverBenchmarkSuite.SolverStatisticType>

Enum Constant Summary
`BEST_SOLUTION_CHANGED`
`NONE`

Method Summary
`SolverStatistic` | `create()`
`static SolverBenchmarkSuite.SolverStatisticType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SolverBenchmarkSuite.SolverStatisticType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final SolverBenchmarkSuite.SolverStatisticType NONE

### BEST_SOLUTION_CHANGED

    public static final SolverBenchmarkSuite.SolverStatisticType BEST_SOLUTION_CHANGED

Method Detail

### values

    public static SolverBenchmarkSuite.SolverStatisticType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SolverBenchmarkSuite.SolverStatisticType c : SolverBenchmarkSuite.SolverStatisticType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SolverBenchmarkSuite.SolverStatisticType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### create

    public SolverStatistic create()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.